Index: lm/trunk/INSTALL/ex_lsm_clearsky_p3d
===================================================================
--- /palm/trunk/INSTALL/ex_lsm_clearsky_p3d	(revision 2750)
+++ 	(revision )
@@ -1,149 +1,0 @@
-!-------------------------------------------------------------------------------
-!-- INITIALIZATION PARAMETER NAMELIST
-!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/inipar
-!-------------------------------------------------------------------------------
-&inipar
-!
-!-- grid parameters
-!------------------------------------------------------------------------------
-   nx                         = 39,
-   ny                         = 39,
-   nz                         = 40,
-
-   dx                         = 50.0,
-   dy                         = 50.0,
-   dz                         = 50.0,
-
-   dz_stretch_level           = 1200.0,
-!
-!-- initialization
-!------------------------------------------------------------------------------
-   initializing_actions       = 'set_constant_profiles',
-
-   ug_surface                 = 5.0,
-   vg_surface                 = 0.0,
-
-   pt_surface                 = 293.0,
-   pt_vertical_gradient       =    0.0,  1.0,
-   pt_vertical_gradient_level = 0.0,  800,
-! 
-   q_surface                  = 0.013, ! mixing ratio
-!
-!-- boundary conditions
-!------------------------------------------------------------------------------
-   constant_flux_layer        = .TRUE.,
-! 
-!    most_method                = 'newton', ! due to heterogeneous surface
-
-   bc_pt_b                    = 'dirichlet', ! required when using LSM
-   bc_q_b                     = 'dirichlet', ! required when using LSM
-!
-!-- mode
-!------------------------------------------------------------------------------
-   humidity                   = .TRUE., 
-   precipitation              = .FALSE.,
-!
-!-- numerics
-!------------------------------------------------------------------------------
-   fft_method                 = 'temperton-algorithm',
-
-/ ! end of initialization parameter namelist
-
-!-------------------------------------------------------------------------------
-!-- RUNTIME PARAMETER NAMELIST
-!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/d3par
-!-------------------------------------------------------------------------------
-&d3par
-!
-!-- run steering
-!------------------------------------------------------------------------------
-   end_time                   = 120.0,
-
-   create_disturbances        = .TRUE.,
-   disturbance_energy_limit   = 0.01,
-!
-!-- general output settings
-!------------------------------------------------------------------------------
-   netcdf_data_format         = 2, ! use NetCDF3
-   dt_run_control             = 0.0,
-   dt_data_output             = 3600.0,
-   averaging_interval         = 1800.0,
-!
-!-- profile output settings
-!------------------------------------------------------------------------------
-   dt_dopr                    = 900.0,
-   averaging_interval_pr      = 900.0,
-
-   data_output_pr             = '#u', '#v', '#pt',
-                                '#km', '#kh', '#l',
-                                'w', 'e', 'e*', 'p',
-                                'w"pt"', 'w*pt*', 'wpt', 'w*e*',
-                                'pt*2','u*2', 'v*2', 'w*2',
-                                '#t_soil',
-!
-!-- 2D and 3D output settings
-!------------------------------------------------------------------------------
-   section_xy                 = 0, ! surface variables only 
-
-   data_output                = 'pt', 'vpt', 'q', 'u', 'v', 'w',
-
-                                't_soil',  't_soil_av',
-                                'm_soil',  'm_soil_av',
-
-                                'u*_xy',   'u*_xy_av', 
-                                't*_xy',   't*_xy_av', 
-                                'r_a*_xy', 'r_a*_xy_av',
-                                'r_s*_xy', 'r_s*_xy_av',
-
-                                'ghf*_xy', 'ghf*_xy_av', 
-                                'shf*_xy', 'shf*_xy_av', 
-
-                                'qsws_liq*_xy',  'qsws_liq*_xy_av',
-                                'qsws_soil*_xy', 'qsws_soil*_xy_av',
-                                'qsws_veg*_xy',  'qsws_veg*_xy_av',
-
-                                'c_liq*_xy',  'c_liq*_xy_av',
-                                'c_soil*_xy', 'c_soil*_xy_av',
-                                'c_veg*_xy',  'c_veg*_xy_av',
-
-/  ! end of runtime parameter namelist
-
-!-------------------------------------------------------------------------------
-!-- LAND-SURFACE PARAMETER NAMELIST
-!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/lsmpar
-!-------------------------------------------------------------------------------
-&lsm_par 
-!
-!-- soil setup
-!------------------------------------------------------------------------------
-   soil_type                  = 3,
-   dz_soil                    = 0.01,  0.02,  0.04,  0.07,  
-                                0.15,  0.21,  0.72,  1.89,
-   soil_temperature           = 293.0, 293.0, 293.0, 293.0, 
-                                293.0, 293.0, 293.0, 293.0,
-   deep_soil_temperature      = 293.0,
-   soil_moisture              = 0.35,  0.35,  0.35,  0.35,  
-                                0.35,  0.35,  0.35,  0.35, 
-!
-!-- boundary conditions
-!------------------------------------------------------------------------------
-   surface_type               = 'vegetation',
-   vegetation_type            = 2, 
-   vegetation_coverage        = 0.95,
-   c_surface                  = 0.0,
-   conserve_water_content     = .TRUE.,
-
-/ ! end of land-surface parameter namelist
-
-!-------------------------------------------------------------------------------
-!-- RADIATION PARAMETER NAMELIST
-!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/radpar
-!-------------------------------------------------------------------------------
-&radiation_par
-!
-!-- general setup
-!------------------------------------------------------------------------------
-   radiation_scheme           = 'clear-sky',
-   dt_radiation               = 60.0, 
-
-/ ! end of radiation parameter namelist
Index: lm/trunk/INSTALL/ex_lsm_clearsky_rc
===================================================================
--- /palm/trunk/INSTALL/ex_lsm_clearsky_rc	(revision 2750)
+++ 	(revision )
@@ -1,299 +1,0 @@
-
- ******************************    --------------------------------------------
- * PALM 5.0  Rev: 2722:27     *    atmosphere - run without 1D - prerun
- ******************************    --------------------------------------------
-
- Date:                 05-01-18    Run:       ex_lsm_clearsky     
- Time:                 13:26:53    Run-No.:   00
- Run on host:              imuk
- Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
- ------------------------------------------------------------------------------
-
- Numerical Schemes:
- -----------------
-
- --> Use the Moeng_Wyngaard turbulence closure (LES mode).
- --> Use the boussinesq approximation for the model equations.
- --> Solve perturbation pressure via FFT using temperton-algorithm routines
-     perturbation pressure is calculated at every Runge-Kutta step
- --> Momentum advection via Wicker-Skamarock-Scheme 5th order
- --> Scalar advection via Wicker-Skamarock-Scheme 5th order
- --> Loop optimization method: cache
- --> Time differencing scheme: runge-kutta-3       
- --> Additional prognostic equation for the specific humidity
- ------------------------------------------------------------------------------
-
-
- Run time and time step information:
- ----------------------------------
-
- Timestep:             variable     maximum value: 20.000 s    CFL-factor: 0.90
- Start time:              0.000 s
- End time:              120.000 s
-
-
- Computational grid and domain size:
- ----------------------------------
-
- Grid length:      dx =     50.000 m    dy =     50.000 m    dz =     50.000 m
- Domain size:       x =   2000.000 m     y =   2000.000 m  z(u) =   2862.511 m
-
- dz constant up to   1200.000 m (k=  25), then stretched by factor: 1.080
- maximum dz not to be exceeded is dz_max = ********** m
-
- Number of gridpoints (x,y,z):  (0:  39, 0:  39, 0:  41)
- Subdomain size (x,y,z):        (    20,     20,     42)
-
-
-    Characteristic levels of the geo. wind component ug:
-
-       Height:         0.0     0.0  m
-       ug:            5.00    5.00  m/s
-       Gradient:    ------    0.00  1/100s
-       Gridpoint:        0       0
-
-    Characteristic levels of the geo. wind component vg:
-
-       Height:         0.0     0.0  m
-       vg:            0.00    0.00  m/s
-       Gradient:    ------    0.00  1/100s
-       Gridpoint:        0       0
-
-
- Topography information:
- ----------------------
-
- Topography: flat                                    
-
-
- Land surface model information:
- ------------------------------
-
-    --> Soil bottom is closed (water content is conserved, default)
-    --> Land surface type  : crops, mixed farming
-    --> Soil porosity type : medium-fine
-
-    Initial soil temperature and moisture profile:
-
-       Height:              -0.01      -0.02      -0.05      -0.11      -0.22      -0.40      -0.86      -2.  m
-       Temperature:        293.00     293.00     293.00     293.00     293.00     293.00     293.00     293.  K
-       Moisture:             0.35       0.35       0.35       0.35       0.35       0.35       0.35       0.  m**3/m**3
-       Root fraction:        0.03       0.07       0.14       0.14       0.28       0.09       0.22       0.  
-       Grid point:              0          1          2          3          4          5          6
-
-
- Radiation model information:
- ----------------------------
-
-    --> Simple radiation scheme for clear sky is used (no clouds, default)
-
-    Albedo is set for land surface type: mixed farming, tall grassland
-    Timestep: dt_radiation =  60.00  s
-
-
- Boundary conditions:
- -------------------
-
-                     p                    uv                                  pt
-
- B. bound.: p(0)     = p(1)   | uv(0)     = -uv(1)                | pt(0)     = from soil model  
- T. bound.: p(nzt+1) = 0      | uv(nzt+1) = ug(nzt+1), vg(nzt+1)  | pt(nzt+1) = pt(nzt) + dpt/dz_
-
-                     e
-
- B. bound.: e(0)     = e(1)                                                                      
- T. bound.: e(nzt+1) = e(nzt) = e(nzt-1)                                                         
-
-                     q
-
- B. bound.: q(0)     = from soil model                                                           
- T. bound.: q(nzt+1) = q(nzt) + dq/dz                                                            
-
- Bottom surface fluxes are used in diffusion terms at k=1
-
-
-    Constant flux layer between bottom surface and first computational u,v-level:
-
-       z_mo =  25.00 m   z0 = 0.1000 m   z0h = 0.10000 m   kappa = 0.40
-       Rif value range:     -20.00 <= rif <= 20.00
-       Predefined surface temperature
-       Predefined surface humidity
-
-
- Lateral boundaries:
-       left/right:  cyclic              
-       north/south: cyclic              
-
-
- Initial profiles:
- ----------------
-
-    Characteristic levels of the initial temperature profile:
-
-       Height:           0.0     0.0   800.0  m
-       Temperature:   293.00  293.00  293.00  K
-       Gradient:      ------    0.00    1.00  K/100m
-       Gridpoint:          0       0      16
-
-    Characteristic levels of the initial humidity profile:
-
-       Height:           0.0       0.0  m
-       Humidity:     0.1E-01   0.1E-01  kg/kg
-       Gradient:    --------   0.0E+00  (kg/kg)/100m
-       Gridpoint:          0         0
-
-
- List output:
- -----------
-
-    1D-Profiles:
-       Output every             ******** s
-       Time averaged over         900.00 s
-       Averaging input every        0.00 s
-
-
- Data output:
- -----------
-
-       Time averaged over         900.00 s
-       Averaging input every        0.00 s
-
-    1D-Profiles:
-       Output format: netCDF 64bit offset                     
-
-
-       Profile: u, v, pt, km, kh, l, w, e, e*, p, w"pt", w*pt*, wpt,         
-
-              : w*e*, pt*2, u*2, v*2, w*2, t_soil,                           
-       Output every               900.00 s
-       Time averaged over         900.00 s
-       Averaging input every        0.00 s
-
-    2D-Arrays:
-       Output format: netCDF 64bit offset                     
-
-
-       XY-cross-section  Arrays:  u*, t*, r_a*, r_s*, ghf*, shf*, qsws_liq*, qsws_soil*, qsws_veg*, c_l
-       Output every              3600.00 s  
-       Cross sections at k = /0/
-       scalar-coordinates:   /0.0/ m
-
-
-       Number of output time levels allowed: unlimited
-
-
-    2D-Arrays(time-averaged):
-       Output format: netCDF 64bit offset                     
-
-
-       XY-cross-section  Arrays:  u*, t*, r_a*, r_s*, ghf*, shf*, qsws_liq*, qsws_soil*, qsws_veg*, c_l
-       Output every              3600.00 s  
-       Time averaged over        1800.00 s
-       Averaging input every        0.00 s
-       Cross sections at k = /0/
-       scalar-coordinates:   /0.0/ m
-
-
-       Number of output time levels allowed: unlimited
-
-
-    3D-Arrays:
-       Output format: netCDF 64bit offset                     
-
-
-       Arrays:  pt, vpt, q, u, v, w, t_soil, m_soil,                                 
-       Output every              3600.00 s  
-       Upper output limit at     2862.51 m  (GP   41)
-
-
-       Number of output time levels allowed: unlimited
-
-
-    3D-Arrays(time-averaged):
-       Output format: netCDF 64bit offset                     
-
-
-       Arrays:  t_soil, m_soil,                                                      
-       Output every              3600.00 s  
-       Time averaged over        1800.00 s
-       Averaging input every        0.00 s
-       Upper output limit at     2862.51 m  (GP   41)
-
-
-       Number of output time levels allowed: unlimited
-
-
-    Time series:
-       Output format: netCDF 64bit offset                     
-
-       Output every                 0.00 s
-
- ------------------------------------------------------------------------------
-
-
- Physical quantities:
- -------------------
-
-    Geograph. latitude  :   latitude  = 55.0 degr
-    Geograph. longitude :   longitude =  0.0 degr
-    Angular velocity    :   omega  = 0.729E-04 rad/s
-    Coriolis parameter  :   f      =  0.000119 1/s
-                            f*     =  0.000084 1/s
-    Day of the year at model start :   day_init = 172
-    UTC time at model start        :   time_utc_init = 43200.0 s
-
-    Gravity             :   g      =  9.8 m/s**2
-
-    Reference state used in buoyancy terms: initial_profile
-
-
- Cloud physics quantities / methods:
- ----------------------------------
-
-    Humidity is considered, bu no condensation
-
-
- LES / Turbulence quantities:
- ---------------------------
-
-    Mixing length is limited to 1.80 * z
-
-
- Actions during the simulation:
- -----------------------------
-
-    Disturbance impulse (u,v) every :   ****** s
-    Disturbance amplitude           :     0.25 m/s
-    Lower disturbance level         :   125.00 m (GP    3)
-    Upper disturbance level         :   625.00 m (GP   13)
-    Disturbances cease as soon as the disturbance energy exceeds 0.010 m**2/s**2
-    Random number generator used    : random-parallel
-
-
-
- *** no user-defined variables found
-
- ------------------------------------------------------------------------------
-
-
-
-Run-control output:
-------------------
-
-RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-  0      0 00:00:00.00   8.6700A   5.1898D -0.2288D  0.1182  0.100  0.00   0.000E+00    800.  0.119E+02  0.103E-02  0.611E-03  0.888E-13    9   9  23   11   7  19    5  26   7    0.000    0.000       0
-  0      1 00:00:08.67   8.6900A   5.1806   0.2159   0.1162  0.004  0.37  -0.763E+01    100.  0.119E+02  0.867E-03  0.960E-05  0.439E-15    9   9  24    4   5  26    5  26   8    0.000    0.000       0
-  0      2 00:00:17.35   8.6900A   5.1762   0.1915   0.1151  0.000  0.06  -0.606E-01    100.  0.119E+02  0.793E-03  0.281E-05  0.403E-15    5  16  32    4   5  27    5  26   9    0.000    0.000       0
-  0      3 00:00:26.04   8.7000A   5.1723   0.1786   0.1113  0.004  0.31  -0.277E+01    100.  0.119E+02  0.750E-03  0.299E-05  0.376E-15    5  16  33    4   5  28    5  26  10    0.000    0.000       0
-  0      4 00:00:34.75   8.7000A   5.1732  -0.1675   0.1061  0.004  0.39  -0.176E+01    250.  0.119E+02  0.721E-03  0.279E-05  0.356E-15    5  16  34    8  29  32    5  26  11    0.000    0.000       0
-  0      5 00:00:43.45   8.7000A   5.1719  -0.1671   0.1028  0.006  0.44  -0.179E+01    250.  0.119E+02  0.698E-03  0.281E-05  0.335E-15    5  16  35    8  29  33    5  26  11    0.000    0.000       0
-  0      6 00:00:52.15   8.7000A   5.1700  -0.1621   0.1039  0.007  0.45  -0.163E+01    250.  0.119E+02  0.680E-03  0.285E-05  0.318E-15    5  16  36    8  29  34    5  26  12    0.000    0.000       0
-  0      7 00:01:00.85   8.7100A   5.1674  -0.1565   0.1044  0.010  0.66  -0.190E+01    550.  0.119E+02  0.664E-03  0.299E-05  0.302E-15    5  16  37    8  29  35    5  26  13    0.000    0.000       0
-  0      8 00:01:09.56   8.7100A   5.1641   0.1515   0.1041  0.011  0.69  -0.168E+01    550.  0.119E+02  0.651E-03  0.305E-05  0.290E-15    5  16  38   11   3  22    5  26  14    0.000    0.000       0
-  0      9 00:01:18.27   8.7200A   5.1634  -0.1506   0.1035  0.013  0.70  -0.144E+01    550.  0.119E+02  0.639E-03  0.316E-05  0.277E-15    5  16  38    8  29  36    5  26  15    0.000    0.000       0
-  0     10 00:01:26.99   8.7200A   5.1632  -0.1516   0.1026  0.015  0.74  -0.144E+01    550.  0.119E+02  0.629E-03  0.339E-05  0.266E-15    5  16  39    8  29  37    5  26  16    0.000    0.000       0
-  0     11 00:01:35.71   8.7200A   5.1628  -0.1516   0.1014  0.018  0.76  -0.140E+01    550.  0.119E+02  0.619E-03  0.358E-05  0.257E-15    5  16   0    8  29  38    5  26  17    0.000    0.000       0
-  0     12 00:01:44.43   8.7200A   5.1620  -0.1506   0.1000  0.020  0.79  -0.136E+01    550.  0.119E+02  0.610E-03  0.382E-05  0.246E-15    5  16   1    8  29  39    5  26  18    0.000    0.000       0
-  0     13 00:01:53.15   8.7200A   5.1610  -0.1488   0.0983  0.022  0.81  -0.133E+01    550.  0.119E+02  0.602E-03  0.409E-05  0.237E-15    5  16   2    8  29   0    5  26  19    0.000    0.000       0
-  0     14 00:02:01.87   8.7200A   5.1596  -0.1462   0.0964  0.025  0.84  -0.130E+01    550.  0.119E+02  0.593E-03  0.439E-05  0.228E-15    5  16   3    8  29   1    5  26  20    0.000    0.000       0