Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2775)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 2776)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Variable synthetic_turbulence_generator has been abbreviated
+! 
+! 2773 2018-01-30 14:12:54Z suehring
 ! Check for consistent initialization in nesting mode added.
 ! 
@@ -1381,5 +1384,5 @@
 !
 !-- When synthetic turbulence generator is used, peform addtional checks
-    IF ( synthetic_turbulence_generator )  CALL stg_check_parameters
+    IF ( syn_turb_gen )  CALL stg_check_parameters
 !
 !-- When plant canopy model is used, peform addtional checks
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 2775)
+++ palm/trunk/SOURCE/header.f90	(revision 2776)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Variable synthetic_turbulence_generator has been abbreviated
+! 
+! 2746 2018-01-15 12:06:04Z suehring
 ! Move flag plant canopy to modules
 ! 
@@ -1013,5 +1016,5 @@
     ENDIF
 
-    IF ( synthetic_turbulence_generator )  CALL stg_header ( io )
+    IF ( syn_turb_gen )  CALL stg_header ( io )
 
     IF ( plant_canopy )  CALL pcm_header ( io )
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 2775)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 2776)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Variable use_synthetic_turbulence_generator has been abbreviated
+! 
+! 2766 2018-01-22 17:17:47Z kanani
 ! Removed preprocessor directive __chem
 ! 
@@ -484,5 +487,5 @@
 
     USE synthetic_turbulence_generator_mod,                                    &
-        ONLY:  stg_init, use_synthetic_turbulence_generator
+        ONLY:  stg_init, use_syn_turb_gen
 
     USE surface_layer_fluxes_mod,                                              &
@@ -1291,5 +1294,5 @@
 !
 !--       Overwrite initial profiles in case of synthetic turbulence generator
-          IF( use_synthetic_turbulence_generator ) THEN
+          IF( use_syn_turb_gen ) THEN
              CALL stg_init
           ENDIF
@@ -1855,5 +1858,5 @@
 !--    Initialize synthetic turbulence generator in case of restart.
        IF ( TRIM( initializing_actions ) == 'read_restart_data'  .AND.         &
-            use_synthetic_turbulence_generator )  CALL stg_init
+            use_syn_turb_gen )  CALL stg_init
 
        CALL location_message( 'finished', .TRUE. )
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 2775)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 2776)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Variable use_synthetic_turbulence_generator has been abbreviated
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -248,5 +251,5 @@
 
     USE synthetic_turbulence_generator_mod,                                    &
-        ONLY:  use_synthetic_turbulence_generator
+        ONLY:  use_syn_turb_gen
 
     USE transpose_indices,                                                     &
@@ -516,5 +519,5 @@
 !-- This transposition is not neccessary in case of a 1d-decomposition along x
     IF ( psolver == 'poisfft'  .OR.  calculate_spectra  .OR.                   &
-         use_synthetic_turbulence_generator )  THEN
+         use_syn_turb_gen )  THEN
 
        IF ( pdims(2) /= 1 )  THEN
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2775)
+++ palm/trunk/SOURCE/modules.f90	(revision 2776)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Variable synthetic_turbulence_generator has been abbreviated and _prerun flags
+! for skipping module related restart data has beed introduced
+! 
+! 2765 2018-01-22 11:34:58Z maronga
 ! Set initial value for time_since_reference_point
 ! 
@@ -1196,120 +1200,123 @@
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  mask_k_global  !< global grid index of masked output point on z-dimension
 
-    LOGICAL ::  aerosol_nacl =.TRUE.                         !< nacl aerosol for bulk scheme
-    LOGICAL ::  aerosol_c3h4o4 =.FALSE.                      !< malonic acid aerosol for bulk scheme
-    LOGICAL ::  aerosol_nh4no3 =.FALSE.                      !< malonic acid aerosol for bulk scheme
-    LOGICAL ::  air_chemistry = .FALSE.                      !< chemistry model switch
-    LOGICAL ::  bc_lr_cyc =.TRUE.                            !< left-right boundary condition cyclic?
-    LOGICAL ::  bc_lr_dirrad = .FALSE.                       !< left-right boundary condition dirichlet/radiation?
-    LOGICAL ::  bc_lr_raddir = .FALSE.                       !< left-right boundary condition radiation/dirichlet?
-    LOGICAL ::  bc_ns_cyc = .TRUE.                           !< north-south boundary condition cyclic?
-    LOGICAL ::  bc_ns_dirrad = .FALSE.                       !< north-south boundary condition dirichlet/radiation?
-    LOGICAL ::  bc_ns_raddir = .FALSE.                       !< north-south boundary condition radiation/dirichlet?
-    LOGICAL ::  call_microphysics_at_all_substeps = .FALSE.  !< namelist parameter
-    LOGICAL ::  call_psolver_at_all_substeps = .TRUE.        !< namelist parameter
-    LOGICAL ::  cloud_droplets = .FALSE.                     !< namelist parameter
-    LOGICAL ::  cloud_physics = .FALSE.                      !< namelist parameter
-    LOGICAL ::  cloud_top_radiation = .FALSE.                !< namelist parameter
-    LOGICAL ::  complex_terrain = .FALSE.                    !< namelist parameter
-    LOGICAL ::  conserve_volume_flow = .FALSE.               !< namelist parameter
-    LOGICAL ::  constant_diffusion = .FALSE.                 !< diffusion coefficient constant?
-    LOGICAL ::  constant_flux_layer = .TRUE.                 !< namelist parameter
-    LOGICAL ::  constant_heatflux = .TRUE.                   !< heat flux at all surfaces constant?
-    LOGICAL ::  constant_top_heatflux = .TRUE.               !< heat flux at domain top constant?
-    LOGICAL ::  constant_top_momentumflux = .FALSE.          !< momentum flux at domain topconstant?
-    LOGICAL ::  constant_top_salinityflux = .TRUE.           !< salinity flux at ocean domain top?
-    LOGICAL ::  constant_top_scalarflux = .TRUE.             !< passive-scalar flux at domain top constant?
-    LOGICAL ::  constant_scalarflux = .TRUE.                 !< passive-scalar flux at surfaces constant?
-    LOGICAL ::  constant_waterflux = .TRUE.                  !< water flux at all surfaces constant?
-    LOGICAL ::  create_disturbances = .TRUE.                 !< namelist parameter
-    LOGICAL ::  data_output_during_spinup = .FALSE.          !< namelist parameter
-    LOGICAL ::  data_output_2d_on_each_pe = .TRUE.           !< namelist parameter
-    LOGICAL ::  disturbance_created = .FALSE.                !< flow disturbance imposed?
-    LOGICAL ::  do2d_at_begin = .FALSE.                      !< namelist parameter
-    LOGICAL ::  do3d_at_begin = .FALSE.                      !< namelist parameter
-    LOGICAL ::  do_sum = .FALSE.                             !< contribute to time average of profile data?
-    LOGICAL ::  dp_external = .FALSE.                        !< namelist parameter
-    LOGICAL ::  dp_smooth = .FALSE.                          !< namelist parameter
-    LOGICAL ::  dt_fixed = .FALSE.                           !< fixed timestep (namelist parameter dt set)?
-    LOGICAL ::  dt_3d_reached                                !< internal timestep for particle advection
-    LOGICAL ::  dt_3d_reached_l                              !< internal timestep for particle advection
-    LOGICAL ::  first_call_lpm = .TRUE.                      !< call lpm only once per timestep?
-    LOGICAL ::  force_print_header = .FALSE.                 !< namelist parameter
-    LOGICAL ::  force_bound_l = .FALSE.                      !< flag indicating domain boundary on left side to set forcing boundary conditions
-    LOGICAL ::  force_bound_n = .FALSE.                      !< flag indicating domain boundary on north side to set forcing boundary conditions
-    LOGICAL ::  force_bound_r = .FALSE.                      !< flag indicating domain boundary on right side to set forcing boundary conditions
-    LOGICAL ::  force_bound_s = .FALSE.                      !< flag indicating domain boundary on south side to set forcing boundary conditions
-    LOGICAL ::  forcing = .FALSE.                            !< flag controlling forcing from large-scale model     
-    LOGICAL ::  galilei_transformation = .FALSE.             !< namelist parameter
-    LOGICAL ::  humidity = .FALSE.                           !< namelist parameter
-    LOGICAL ::  humidity_remote = .FALSE.                    !< switch for receiving near-surface humidity flux (atmosphere-ocean coupling)
-    LOGICAL ::  inflow_l = .FALSE.                           !< left domain boundary has non-cyclic inflow?
-    LOGICAL ::  inflow_n = .FALSE.                           !< north domain boundary has non-cyclic inflow?
-    LOGICAL ::  inflow_r = .FALSE.                           !< right domain boundary has non-cyclic inflow?
-    LOGICAL ::  inflow_s = .FALSE.                           !< south domain boundary has non-cyclic inflow?
-    LOGICAL ::  large_scale_forcing = .FALSE.                !< namelist parameter
-    LOGICAL ::  large_scale_subsidence = .FALSE.             !< namelist parameter
-    LOGICAL ::  land_surface = .FALSE.                       !< use land surface model?
-    LOGICAL ::  les_mw = .FALSE.                             !< use Moeng-Wyngaard turbulence closure for LES mode
-    LOGICAL ::  lsf_exception = .FALSE.                      !< use of lsf with buildings (temporary)?
-    LOGICAL ::  lsf_surf = .TRUE.                            !< use surface forcing (large scale forcing)?
-    LOGICAL ::  lsf_vert = .TRUE.                            !< use atmospheric forcing (large scale forcing)?
-    LOGICAL ::  masking_method = .FALSE.                     !< namelist parameter
-    LOGICAL ::  microphysics_sat_adjust = .FALSE.            !< use saturation adjust bulk scheme?
-    LOGICAL ::  microphysics_kessler = .FALSE.               !< use kessler bulk scheme?
-    LOGICAL ::  microphysics_morrison = .FALSE.              !< use 2-moment Morrison (add. prog. eq. for nc and qc)
-    LOGICAL ::  microphysics_seifert = .FALSE.               !< use 2-moment Seifert and Beheng scheme
-    LOGICAL ::  mg_switch_to_pe0 = .FALSE.                   !< internal multigrid switch for steering the ghost point exchange in case that data has been collected on PE0
-    LOGICAL ::  nest_bound_l = .FALSE.                       !< flag indicating nested domain boundary on left side
-    LOGICAL ::  nest_bound_n = .FALSE.                       !< flag indicating nested domain boundary on north side
-    LOGICAL ::  nest_bound_r = .FALSE.                       !< flag indicating nested domain boundary on right side
-    LOGICAL ::  nest_bound_s = .FALSE.                       !< flag indicating nested domain boundary on south side
-    LOGICAL ::  nest_domain  = .FALSE.                       !< domain is nested into a parent domain?
-    LOGICAL ::  neutral = .FALSE.                            !< namelist parameter
-    LOGICAL ::  nudging = .FALSE.                            !< namelist parameter
-    LOGICAL ::  ocean = .FALSE.                              !< namelist parameter
-    LOGICAL ::  outflow_l = .FALSE.                          !< left domain boundary has non-cyclic outflow?
-    LOGICAL ::  outflow_n = .FALSE.                          !< north domain boundary has non-cyclic outflow?
-    LOGICAL ::  outflow_r = .FALSE.                          !< right domain boundary has non-cyclic outflow?
-    LOGICAL ::  outflow_s = .FALSE.                          !< south domain boundary has non-cyclic outflow?
-    LOGICAL ::  passive_scalar = .FALSE.                     !< namelist parameter
-    LOGICAL ::  plant_canopy = .FALSE.                       !< switch for use of plant canopy model
-    LOGICAL ::  precipitation = .FALSE.                      !< namelist parameter
-    LOGICAL ::  random_heatflux = .FALSE.                    !< namelist parameter
-    LOGICAL ::  rans_mode = .FALSE.                          !< switch between RANS and LES mode
-    LOGICAL ::  rans_tke_e = .FALSE.                         !< use TKE-e turbulence closure for RANS mode
-    LOGICAL ::  rans_tke_l = .FALSE.                         !< use TKE-l turbulence closure for RANS mode
-    LOGICAL ::  recycling_yshift = .FALSE.                   !< namelist parameter
-    LOGICAL ::  run_control_header = .FALSE.                 !< onetime output of RUN_CONTROL header
-    LOGICAL ::  run_coupled = .TRUE.                         !< internal switch telling PALM to run in coupled mode (i.e. to exchange surface data) in case of atmosphere-ocean coupling
-    LOGICAL ::  scalar_rayleigh_damping = .TRUE.             !< namelist parameter
-    LOGICAL ::  sloping_surface = .FALSE.                    !< use sloped surface? (namelist parameter alpha_surface)
-    LOGICAL ::  spinup = .FALSE.                             !< perform model spinup without atmosphere code?
-    LOGICAL ::  stop_dt = .FALSE.                            !< internal switch to stop the time stepping
-    LOGICAL ::  synchronous_exchange = .FALSE.               !< namelist parameter
-    LOGICAL ::  synthetic_turbulence_generator = .FALSE.     !< flag for synthetic turbulence generator module
-    LOGICAL ::  terminate_run = .FALSE.                      !< terminate run (cpu-time limit, restarts)?
-    LOGICAL ::  topo_no_distinct = .FALSE.                   !< flag controlling classification of topography surfaces
-    LOGICAL ::  transpose_compute_overlap = .FALSE.          !< namelist parameter
-    LOGICAL ::  turbulent_inflow = .FALSE.                   !< namelist parameter
-    LOGICAL ::  turbulent_outflow = .FALSE.                  !< namelist parameter
-    LOGICAL ::  urban_surface = .FALSE.                      !< use urban surface model?
-    LOGICAL ::  use_cmax = .TRUE.                            !< namelist parameter
-    LOGICAL ::  use_initial_profile_as_reference = .FALSE.   !< use of initial profiles as reference state?
-    LOGICAL ::  use_prescribed_profile_data = .FALSE.        !< use of prescribed wind profiles?
-                                                             !< (namelist parameters u_profile, v_profile)
-    LOGICAL ::  use_single_reference_value = .FALSE.         !< use of single value as reference state?
-    LOGICAL ::  use_subsidence_tendencies = .FALSE.          !< namelist parameter
-    LOGICAL ::  use_surface_fluxes = .FALSE.                 !< namelist parameter
-    LOGICAL ::  use_top_fluxes = .FALSE.                     !< namelist parameter
-    LOGICAL ::  use_ug_for_galilei_tr = .TRUE.               !< namelist parameter
-    LOGICAL ::  use_upstream_for_tke = .FALSE.               !< namelist parameter
-    LOGICAL ::  uv_exposure = .FALSE.                        !< switch for uv exposure model
-    LOGICAL ::  virtual_flight = .FALSE.                     !< use virtual flight model?
-    LOGICAL ::  wall_adjustment = .TRUE.                     !< namelist parameter
-    LOGICAL ::  wind_turbine = .FALSE.                       !< flag for use of wind turbine model 
-    LOGICAL ::  write_binary = .FALSE.                       !< ENVPAR namelist parameter to steer restart I/O (ENVPAR is created by mrun)
-    LOGICAL ::  ws_scheme_sca = .FALSE.                      !< use Wicker-Skamarock scheme (scalar advection)?
-    LOGICAL ::  ws_scheme_mom = .FALSE.                      !< use Wicker-Skamarock scheme (momentum advection)?
+    LOGICAL ::  aerosol_nacl =.TRUE.                             !< nacl aerosol for bulk scheme
+    LOGICAL ::  aerosol_c3h4o4 =.FALSE.                          !< malonic acid aerosol for bulk scheme
+    LOGICAL ::  aerosol_nh4no3 =.FALSE.                          !< malonic acid aerosol for bulk scheme
+    LOGICAL ::  air_chemistry = .FALSE.                          !< chemistry model switch
+    LOGICAL ::  bc_lr_cyc =.TRUE.                                !< left-right boundary condition cyclic?
+    LOGICAL ::  bc_lr_dirrad = .FALSE.                           !< left-right boundary condition dirichlet/radiation?
+    LOGICAL ::  bc_lr_raddir = .FALSE.                           !< left-right boundary condition radiation/dirichlet?
+    LOGICAL ::  bc_ns_cyc = .TRUE.                               !< north-south boundary condition cyclic?
+    LOGICAL ::  bc_ns_dirrad = .FALSE.                           !< north-south boundary condition dirichlet/radiation?
+    LOGICAL ::  bc_ns_raddir = .FALSE.                           !< north-south boundary condition radiation/dirichlet?
+    LOGICAL ::  call_microphysics_at_all_substeps = .FALSE.      !< namelist parameter
+    LOGICAL ::  call_psolver_at_all_substeps = .TRUE.            !< namelist parameter
+    LOGICAL ::  cloud_droplets = .FALSE.                         !< namelist parameter
+    LOGICAL ::  cloud_physics = .FALSE.                          !< namelist parameter
+    LOGICAL ::  cloud_top_radiation = .FALSE.                    !< namelist parameter
+    LOGICAL ::  complex_terrain = .FALSE.                        !< namelist parameter
+    LOGICAL ::  conserve_volume_flow = .FALSE.                   !< namelist parameter
+    LOGICAL ::  constant_diffusion = .FALSE.                     !< diffusion coefficient constant?
+    LOGICAL ::  constant_flux_layer = .TRUE.                     !< namelist parameter
+    LOGICAL ::  constant_heatflux = .TRUE.                       !< heat flux at all surfaces constant?
+    LOGICAL ::  constant_top_heatflux = .TRUE.                   !< heat flux at domain top constant?
+    LOGICAL ::  constant_top_momentumflux = .FALSE.              !< momentum flux at domain topconstant?
+    LOGICAL ::  constant_top_salinityflux = .TRUE.               !< salinity flux at ocean domain top?
+    LOGICAL ::  constant_top_scalarflux = .TRUE.                 !< passive-scalar flux at domain top constant?
+    LOGICAL ::  constant_scalarflux = .TRUE.                     !< passive-scalar flux at surfaces constant?
+    LOGICAL ::  constant_waterflux = .TRUE.                      !< water flux at all surfaces constant?
+    LOGICAL ::  create_disturbances = .TRUE.                     !< namelist parameter
+    LOGICAL ::  data_output_during_spinup = .FALSE.              !< namelist parameter
+    LOGICAL ::  data_output_2d_on_each_pe = .TRUE.               !< namelist parameter
+    LOGICAL ::  disturbance_created = .FALSE.                    !< flow disturbance imposed?
+    LOGICAL ::  do2d_at_begin = .FALSE.                          !< namelist parameter
+    LOGICAL ::  do3d_at_begin = .FALSE.                          !< namelist parameter
+    LOGICAL ::  do_sum = .FALSE.                                 !< contribute to time average of profile data?
+    LOGICAL ::  dp_external = .FALSE.                            !< namelist parameter
+    LOGICAL ::  dp_smooth = .FALSE.                              !< namelist parameter
+    LOGICAL ::  dt_fixed = .FALSE.                               !< fixed timestep (namelist parameter dt set)?
+    LOGICAL ::  dt_3d_reached                                    !< internal timestep for particle advection
+    LOGICAL ::  dt_3d_reached_l                                  !< internal timestep for particle advection
+    LOGICAL ::  first_call_lpm = .TRUE.                          !< call lpm only once per timestep?
+    LOGICAL ::  force_print_header = .FALSE.                     !< namelist parameter
+    LOGICAL ::  force_bound_l = .FALSE.                          !< flag indicating domain boundary on left side to set forcing boundary conditions
+    LOGICAL ::  force_bound_n = .FALSE.                          !< flag indicating domain boundary on north side to set forcing boundary conditions
+    LOGICAL ::  force_bound_r = .FALSE.                          !< flag indicating domain boundary on right side to set forcing boundary conditions
+    LOGICAL ::  force_bound_s = .FALSE.                          !< flag indicating domain boundary on south side to set forcing boundary conditions
+    LOGICAL ::  forcing = .FALSE.                                !< flag controlling forcing from large-scale model     
+    LOGICAL ::  galilei_transformation = .FALSE.                 !< namelist parameter
+    LOGICAL ::  humidity = .FALSE.                               !< namelist parameter
+    LOGICAL ::  humidity_remote = .FALSE.                        !< switch for receiving near-surface humidity flux (atmosphere-ocean coupling)
+    LOGICAL ::  inflow_l = .FALSE.                               !< left domain boundary has non-cyclic inflow?
+    LOGICAL ::  inflow_n = .FALSE.                               !< north domain boundary has non-cyclic inflow?
+    LOGICAL ::  inflow_r = .FALSE.                               !< right domain boundary has non-cyclic inflow?
+    LOGICAL ::  inflow_s = .FALSE.                               !< south domain boundary has non-cyclic inflow?
+    LOGICAL ::  large_scale_forcing = .FALSE.                    !< namelist parameter
+    LOGICAL ::  large_scale_subsidence = .FALSE.                 !< namelist parameter
+    LOGICAL ::  land_surface = .FALSE.                           !< use land surface model?
+    LOGICAL ::  les_mw = .FALSE.                                 !< use Moeng-Wyngaard turbulence closure for LES mode
+    LOGICAL ::  lsf_exception = .FALSE.                          !< use of lsf with buildings (temporary)?
+    LOGICAL ::  lsf_surf = .TRUE.                                !< use surface forcing (large scale forcing)?
+    LOGICAL ::  lsf_vert = .TRUE.                                !< use atmospheric forcing (large scale forcing)?
+    LOGICAL ::  masking_method = .FALSE.                         !< namelist parameter
+    LOGICAL ::  microphysics_sat_adjust = .FALSE.                !< use saturation adjust bulk scheme?
+    LOGICAL ::  microphysics_kessler = .FALSE.                   !< use kessler bulk scheme?
+    LOGICAL ::  microphysics_morrison = .FALSE.                  !< use 2-moment Morrison (add. prog. eq. for nc and qc)
+    LOGICAL ::  microphysics_seifert = .FALSE.                   !< use 2-moment Seifert and Beheng scheme
+    LOGICAL ::  mg_switch_to_pe0 = .FALSE.                       !< internal multigrid switch for steering the ghost point exchange in case that data has been collected on PE0
+    LOGICAL ::  nest_bound_l = .FALSE.                           !< flag indicating nested domain boundary on left side
+    LOGICAL ::  nest_bound_n = .FALSE.                           !< flag indicating nested domain boundary on north side
+    LOGICAL ::  nest_bound_r = .FALSE.                           !< flag indicating nested domain boundary on right side
+    LOGICAL ::  nest_bound_s = .FALSE.                           !< flag indicating nested domain boundary on south side
+    LOGICAL ::  nest_domain  = .FALSE.                           !< domain is nested into a parent domain?
+    LOGICAL ::  neutral = .FALSE.                                !< namelist parameter
+    LOGICAL ::  nudging = .FALSE.                                !< namelist parameter
+    LOGICAL ::  ocean = .FALSE.                                  !< namelist parameter
+    LOGICAL ::  outflow_l = .FALSE.                              !< left domain boundary has non-cyclic outflow?
+    LOGICAL ::  outflow_n = .FALSE.                              !< north domain boundary has non-cyclic outflow?
+    LOGICAL ::  outflow_r = .FALSE.                              !< right domain boundary has non-cyclic outflow?
+    LOGICAL ::  outflow_s = .FALSE.                              !< south domain boundary has non-cyclic outflow?
+    LOGICAL ::  passive_scalar = .FALSE.                         !< namelist parameter
+    LOGICAL ::  plant_canopy = .FALSE.                           !< switch for use of plant canopy model
+    LOGICAL ::  precipitation = .FALSE.                          !< namelist parameter
+    LOGICAL ::  random_heatflux = .FALSE.                        !< namelist parameter
+    LOGICAL ::  rans_mode = .FALSE.                              !< switch between RANS and LES mode
+    LOGICAL ::  rans_tke_e = .FALSE.                             !< use TKE-e turbulence closure for RANS mode
+    LOGICAL ::  rans_tke_l = .FALSE.                             !< use TKE-l turbulence closure for RANS mode
+    LOGICAL ::  recycling_yshift = .FALSE.                       !< namelist parameter
+    LOGICAL ::  run_control_header = .FALSE.                     !< onetime output of RUN_CONTROL header
+    LOGICAL ::  run_coupled = .TRUE.                             !< internal switch telling PALM to run in coupled mode (i.e. to exchange surface data) in case of atmosphere-ocean coupling
+    LOGICAL ::  scalar_rayleigh_damping = .TRUE.                 !< namelist parameter
+    LOGICAL ::  sloping_surface = .FALSE.                        !< use sloped surface? (namelist parameter alpha_surface)
+    LOGICAL ::  spinup = .FALSE.                                 !< perform model spinup without atmosphere code?
+    LOGICAL ::  stop_dt = .FALSE.                                !< internal switch to stop the time stepping
+    LOGICAL ::  synchronous_exchange = .FALSE.                   !< namelist parameter
+    LOGICAL ::  syn_turb_gen = .FALSE.                           !< flag for synthetic turbulence generator module
+    LOGICAL ::  syn_turb_gen_prerun = .FALSE.                    !< Was restart data of the sythentic turbulence generator written out? 
+    LOGICAL ::  terminate_run = .FALSE.                          !< terminate run (cpu-time limit, restarts)?
+    LOGICAL ::  topo_no_distinct = .FALSE.                       !< flag controlling classification of topography surfaces
+    LOGICAL ::  transpose_compute_overlap = .FALSE.              !< namelist parameter
+    LOGICAL ::  turbulent_inflow = .FALSE.                       !< namelist parameter
+    LOGICAL ::  turbulent_outflow = .FALSE.                      !< namelist parameter
+    LOGICAL ::  urban_surface = .FALSE.                          !< use urban surface model?
+    LOGICAL ::  use_cmax = .TRUE.                                !< namelist parameter
+    LOGICAL ::  use_initial_profile_as_reference = .FALSE.       !< use of initial profiles as reference state?
+    LOGICAL ::  use_prescribed_profile_data = .FALSE.            !< use of prescribed wind profiles?
+                                                                 !< (namelist parameters u_profile, v_profile)
+    LOGICAL ::  use_single_reference_value = .FALSE.             !< use of single value as reference state?
+    LOGICAL ::  use_subsidence_tendencies = .FALSE.              !< namelist parameter
+    LOGICAL ::  use_surface_fluxes = .FALSE.                     !< namelist parameter
+    LOGICAL ::  use_top_fluxes = .FALSE.                         !< namelist parameter
+    LOGICAL ::  use_ug_for_galilei_tr = .TRUE.                   !< namelist parameter
+    LOGICAL ::  use_upstream_for_tke = .FALSE.                   !< namelist parameter
+    LOGICAL ::  uv_exposure = .FALSE.                            !< switch for uv exposure model
+    LOGICAL ::  virtual_flight = .FALSE.                         !< use virtual flight model?
+    LOGICAL ::  virtual_flight_prerun = .FALSE.                  !< Was restart data of the virtual flight model written out?
+    LOGICAL ::  wall_adjustment = .TRUE.                         !< namelist parameter
+    LOGICAL ::  wind_turbine = .FALSE.                           !< flag for use of wind turbine model
+    LOGICAL ::  wind_turbine_prerun = .FALSE.                    !< Was restart data of the wtm model written out? 
+    LOGICAL ::  write_binary = .FALSE.                           !< ENVPAR namelist parameter to steer restart I/O (ENVPAR is created by mrun)
+    LOGICAL ::  ws_scheme_sca = .FALSE.                          !< use Wicker-Skamarock scheme (scalar advection)?
+    LOGICAL ::  ws_scheme_mom = .FALSE.                          !< use Wicker-Skamarock scheme (momentum advection)?
 
     LOGICAL ::  data_output_xy(0:1) = .FALSE.                !< output of xy cross-section data?
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 2775)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 2776)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Change skip_var_list: Skipping of module related parameter is only necessary 
+! if restart data was outputted at the end of the precursor run
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -1094,5 +1098,6 @@
 
     USE control_parameters,                                                    &
-        ONLY: wind_turbine, virtual_flight, synthetic_turbulence_generator
+        ONLY: wind_turbine, wind_turbine_prerun, virtual_flight,               & 
+              virtual_flight_prerun, syn_turb_gen, syn_turb_gen_prerun
 
     USE wind_turbine_model_mod,                                                &
@@ -1128,15 +1133,15 @@
 !-- In case of virtual flights, skip also variables related to
 !-- this module.
-    IF ( wind_turbine )  CALL wtm_skip_var_list
+    IF ( wind_turbine_prerun )  CALL wtm_skip_var_list
 
 !
 !-- In case of virtual flights, skip also variables related to
 !-- this module.
-    IF ( virtual_flight )  CALL flight_skip_var_list
+    IF ( virtual_flight_prerun)  CALL flight_skip_var_list
 
 !
 !-- In case of virtual flights, skip also variables related to
 !-- this module.
-    IF ( synthetic_turbulence_generator )  CALL stg_skip_var_list
+    IF ( syn_turb_gen_prerun )  CALL stg_skip_var_list
 
 
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 2775)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 2776)
@@ -25,4 +25,9 @@
 ! -----------------
 ! $Id$
+! Variable synthetic_turbulence_generator use_synthetic_turbulence_generator has
+! been abbreviated + syn_turb_gen_prerun flag is used to define if module 
+! related parameters were outputted as restart data 
+! 
+! 2716 2017-12-29 16:35:59Z kanani
 ! Corrected "Former revisions" section
 ! 
@@ -83,5 +88,5 @@
     USE control_parameters,                                                    &
         ONLY:  initializing_actions, message_string,                           &
-               synthetic_turbulence_generator
+               syn_turb_gen, syn_turb_gen_prerun
 
     USE cpulog,                                                                &
@@ -104,6 +109,6 @@
     IMPLICIT NONE
 
-    LOGICAL :: velocity_seed_initialized = .FALSE.           !< true after first call of stg_main
-    LOGICAL :: use_synthetic_turbulence_generator = .FALSE.  !< switch to use synthetic turbulence generator
+    LOGICAL :: velocity_seed_initialized = .FALSE.  !< true after first call of stg_main
+    LOGICAL :: use_syn_turb_gen = .FALSE.           !< switch to use synthetic turbulence generator
 
     INTEGER(iwp) :: stg_type_yz        !< MPI type for full z range
@@ -221,5 +226,5 @@
 !
 !-- Public variables
-    PUBLIC  use_synthetic_turbulence_generator
+    PUBLIC  use_syn_turb_gen
 
 
@@ -241,5 +246,5 @@
     IMPLICIT NONE
 
-    IF ( use_synthetic_turbulence_generator )  THEN
+    IF ( use_syn_turb_gen )  THEN
 
        IF ( INDEX( initializing_actions, 'set_constant_profiles' ) == 0  .AND. &
@@ -288,5 +293,5 @@
 !-- Write synthetic turbulence generator Header
     WRITE( io, 1 )
-    IF ( use_synthetic_turbulence_generator )  THEN
+    IF ( use_syn_turb_gen )  THEN
        WRITE( io, 2 )
     ELSE
@@ -665,5 +670,5 @@
 
 
-    NAMELIST /stg_par/   use_synthetic_turbulence_generator
+    NAMELIST /stg_par/   use_syn_turb_gen
 
     line = ' '
@@ -685,5 +690,5 @@
 !-- Set flag that indicates that the synthetic turbulence generator is switched
 !-- on
-    synthetic_turbulence_generator = .TRUE.
+    syn_turb_gen = .TRUE.
 
     IF ( TRIM( initializing_actions ) == 'read_restart_data' ) THEN
@@ -738,8 +743,10 @@
        SELECT CASE ( TRIM( variable_chr ) )
 
-          CASE ( 'use_synthetic_turbulence_generator ' )
-             READ ( 13 )  use_synthetic_turbulence_generator
+          CASE ( 'use_syn_turb_gen' )
+             READ ( 13 )  use_syn_turb_gen
           CASE ( 'mc_factor' )
              READ ( 13 )  mc_factor
+          CASE ( 'syn_turb_gen_prerun' )
+             READ ( 13 )  syn_turb_gen_prerun
 
        END SELECT
@@ -762,10 +769,14 @@
     IMPLICIT NONE
 
-    WRITE ( 14 )  'use_synthetic_turbulence_generator '
-    WRITE ( 14 )  use_synthetic_turbulence_generator
-    WRITE ( 14 )  'mc_factor           '
+    syn_turb_gen_prerun = .TRUE.
+
+    WRITE ( 14 )  'use_syn_turb_gen              '
+    WRITE ( 14 )  use_syn_turb_gen
+    WRITE ( 14 )  'mc_factor                     '
     WRITE ( 14 )  mc_factor
-
-    WRITE ( 14 )  '*** end stg module ***            '
+    WRITE ( 14 )  'syn_turb_gen_prerun           '
+    WRITE ( 14 )  syn_turb_gen_prerun
+
+    WRITE ( 14 )  '*** end stg module ***        '
 
 END SUBROUTINE stg_write_restart_data
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 2775)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 2776)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Variable use_synthetic_turbulence_generator has been abbreviated
+! 
+! 2773 2018-01-30 14:12:54Z suehring
 ! - Nesting for chemical species
 ! 
@@ -438,5 +441,5 @@
 
     USE synthetic_turbulence_generator_mod,                                    &
-        ONLY:  stg_main, use_synthetic_turbulence_generator
+        ONLY:  stg_main, use_syn_turb_gen
 
     USE user_actions_mod,                                                      &
@@ -798,5 +801,5 @@
 !
 !--       Impose a turbulent inflow using synthetic generated turbulence
-         IF ( use_synthetic_turbulence_generator ) THEN 
+         IF ( use_syn_turb_gen ) THEN 
             CALL  stg_main
          ENDIF
Index: palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 2775)
+++ palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 2776)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! virutal_flight_prerun flag is used to define if module 
+! related parameters were outputted as restart data
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -62,5 +66,6 @@
  
     USE control_parameters,                                                    &
-        ONLY:  fl_max, num_leg, num_var_fl, num_var_fl_user, virtual_flight
+        ONLY:  fl_max, num_leg, num_var_fl, num_var_fl_user, virtual_flight,   &
+               virtual_flight_prerun
  
     USE kinds
@@ -935,4 +940,6 @@
                 IF ( .NOT. ALLOCATED( z_pos ) )  ALLOCATE( z_pos(1:num_leg) )
                 READ ( 13 )  z_pos
+             CASE ( 'virtual_flight_prerun' )
+                READ ( 13 )  virtual_flight_prerun
           
           END SELECT
@@ -952,4 +959,6 @@
 
        IMPLICIT NONE
+
+       virtual_flight_prerun = .TRUE.
        
        WRITE ( 14 )  'u_agl                         '
@@ -965,4 +974,6 @@
        WRITE ( 14 )  'z_pos                         '
        WRITE ( 14 )  z_pos
+       WRITE ( 14 )  'virtual_flight_prerun         '
+       WRITE ( 14 )  virtual_flight_prerun
        
        WRITE ( 14 )  '*** end flight ***            '
Index: palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2775)
+++ palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2776)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! wind_turbine_prerun flag is used to define if module 
+! related parameters were outputted as restart data
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -124,5 +128,5 @@
     USE control_parameters,                                                    &
         ONLY:  coupling_char, dt_3d, dz, message_string, simulated_time,       &
-               wind_turbine, initializing_actions
+               wind_turbine, wind_turbine_prerun, initializing_actions
 
     USE cpulog,                                                                &
@@ -543,4 +547,6 @@
 
        IMPLICIT NONE
+
+       wind_turbine_prerun = .TRUE.
        
        WRITE ( 14 )  'omega_gen                     '
@@ -564,4 +570,6 @@
        WRITE ( 14 )  'torque_gen_old                '
        WRITE ( 14 )  torque_gen_old
+       WRITE ( 14 )  'wind_turbine_prerun           '
+       WRITE ( 14 )  wind_turbine_prerun
      
        WRITE ( 14 )  '*** end wtm ***               '
@@ -608,4 +616,6 @@
           CASE ( 'torque_gen_old' )
              READ ( 13 )  torque_gen_old
+          CASE ( 'wind_turbine_prerun' )
+             READ ( 13 )  wind_turbine_prerun
 
        END SELECT
@@ -1457,5 +1467,4 @@
 !--          Interpolation of lift and drag coefficiencts on fine grid of radius 
 !--          segments and angles of attack
-
              turb_cl_tab(iialpha,iir) = ( alpha_attack_tab(ialpha) -           &
                                           alpha_attack_i ) /                   &
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 2775)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 2776)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Variable synthetic_turbulence_generator has been abbreviated
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -788,6 +791,6 @@
 
 !
-!-- If required, write restart data for virtual measurements.
-    IF ( synthetic_turbulence_generator )  CALL stg_write_restart_data
+!-- If required, write restart data for turbulence generator.
+    IF ( syn_turb_gen )  CALL stg_write_restart_data
 
 